SELinux - Bug #7932

LDAP does not work
10/14/2014 02:51 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category:
Target version: 1.6.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1151093 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-s
elinux/pull/37

Description
Not able to authenticate using AD or LDAP authentication source on Satellite when installed on RHEL 7

Version-Release number of selected component (if applicable):
Satellite 6.0.4 on RHEL 7

How reproducible:
Always

Steps to Reproduce:

1. Set up Satellite 6.0.4

2. Configure corporate LDAP as an auth source
3. Try to log in with a valid account

Actual results:
fails to log in with error above

Expected results:
Successful login

Can see AVC denied messages in audit logs,
type=AVC msg=audit (1413207076.407:40449): avc: denied { name_connect } for pid=25818 comm="ruby

" dest=389 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:ldap_port_t:s0 tcl
ass=tcp_socket

Associated revisions

Revision aab37c64 - 10/21/2014 03:52 AM - Lukas Zapletal
Fixes #7932 - added LDAP support for passenger

History

#1 - 10/14/2014 03:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version setto 1.7.2

- Pull request https://github.com/theforeman/foreman-selinux/pull/37 added
- Pull request deleted ()

#2 - 10/14/2014 03:02 AM - Lukas Zapletal
- Bugzilla link set to 1151093

#3 - 10/21/2014 04:22 AM - Dominic Cleal

- Assignee set to Lukas Zapletal
- translation missing: en.field_release set to 27

#4 - 10/21/2014 05:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset aab37c64a87a4b4e332511a050329c9e28be833e.
